# -*- coding: utf-8 -*-

from odoo import models
from odoo.addons.saas_worker import const


class IrQWeb(models.AbstractModel):
    _inherit = 'ir.qweb'

    def _prepare_frontend_environment(self, values):
        """ Update the values and context with ODOO_*_URL specific values """
        irQweb = super()._prepare_frontend_environment(values)
        values.update(
            ODOO_BUYAPPS_URL=const.BUYAPPS_HOST,
            ODOO_APPS_ABSURL=const.APPS_URL,
        )
        return irQweb
